/*
 * Copyright (C) 2014-2024 CZ.NIC
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * In addition, as a special exception, the copyright holders give
 * permission to link the code of portions of this program with the
 * OpenSSL library under certain conditions as described in each
 * individual source file, and distribute linked combinations including
 * the two.
 */

import QtQuick 2.7
import QtQuick.Controls 2.15
import cz.nic.mobileDatovka.account 1.0
import cz.nic.mobileDatovka.qmlIdentifiers 1.0

Item {

    id: accountWizard

    /* These properties are set in the wizard pages. */
    property string accountName: ""
    property string accountTypeName: ""
    property string certFilePath: ""
    property int loginMethod: AcntData.LIM_UNAME_PWD
    property string loginMethodName: ""
    property string pwdStr: ""
    property string mepCode: ""

    signal handlerLoader(string pageFile)

    Component.onCompleted: {
        acntId.testing = false
    }

    AcntId {
        id: acntId
    }
    Loader {
        id: pageLoader
        anchors.fill: parent
        source: "CreateAccountPage1.qml"
    }
    Connections {
        target: pageLoader.item
        function onHandlerLoader(pageFile) {
            pageLoader.source = pageFile
        }
    }
}
